Support » Plugin: Email Subscribers - Group Selector » Warning: headers already sent

  • Hi,

    your add on seems to work but when I try to edit and save the page where I placed the sortcode I get the following message on a blank page. The changes are saved anyway.

    Warning: Cannot modify header information – headers already sent by (output started at /www/htdocs/…/wp-content/plugins/email-subscribers-advanced-form/includes/es-af-register.php:412) in /www/htdocs/…/wp-admin/post.php on line 198

    Warning: Cannot modify header information – headers already sent by (output started at /www/htdocs/…/wp-content/plugins/email-subscribers-advanced-form/includes/es-af-register.php:412) in /www/htdocs/…/wp-includes/pluggable.php on line 1219

    I wasn’t able to locate exactly what the problem is but I guess it has to do with the php version. With PHP version 7.0 I only get an error when editing and saving. With 7.2 I get an additional error when previewing the page.

    Warning: Cannot modify header information – headers already sent by (output started at /www/htdocs/…/wp-content/plugins/email-subscribers-advanced-form/includes/es-af-register.php:412) in /www/htdocs/…/wp-includes/pluggable.php on line 1219

    • This topic was modified 2 years, 3 months ago by borisj.
    • This topic was modified 2 years, 3 months ago by borisj.

    The page I need help with: [log in to see the link]

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Contributor Mansi

    (@mansi-shah)

    Hi,

    Can you confirm that you are using latest version of Email Subscribers (3.5.3) & Email Subscribers – Group Selector (1.5.1)?

    Yes I do!

    The page with the shortcode is https://kmeducationhub.de/knowledge-management-training-education-updates-news/

    There you’ll see that I modified the plugin a little bit but that’s not the problem.

    Everything works well without the Group Selector activated.

    I found out that it seems to be a plugin conflict with Yoast SEO https://wordpress.org/plugins/wordpress-seo/

    Do you need to take action on this or should I contact the developers of Yoast?

    Plugin Contributor Mansi

    (@mansi-shah)

    Hi,

    I’m not sure the issue is from which plugin. However, you can contact Yoast plugin’s developers once and let me know their views.

    Can you confirm issue is not related to the PHP version but with Yoast plugin only?

    It seems that Yoast is causing the conflict. Currently I am running PHP Version 7.0. Wen I deactivate Yoast the I can update the page with the sortcode. Yesterday Yoast was updated and now I only get the following warning:

    Warning: Cannot modify header information – headers already sent by (output started at /www/htdocs/w00c36a7/kmeduhub/wp-content/plugins/email-subscribers-advanced-form/includes/es-af-register.php:414) in /www/htdocs/w00c36a7/kmeduhub/wp-includes/pluggable.php on line 1219

    compared to the warning before the Yoast update, which was:

    Warning: Cannot modify header information – headers already sent by (output started at /www/htdocs/…/wp-content/plugins/email-subscribers-advanced-form/includes/es-af-register.php:412) in /www/htdocs/…/wp-admin/post.php on line 198

    Warning: Cannot modify header information – headers already sent by (output started at /www/htdocs/…/wp-content/plugins/email-subscribers-advanced-form/includes/es-af-register.php:412) in /www/htdocs/…/wp-includes/pluggable.php on line 1219

    So it seems to be a plugin conflict with Yoast and not a PHP issue. I’ll contact them and get back to you soon.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Warning: headers already sent’ is closed to new replies.